io.vertx.ext.mail

## Class MailServiceVerticle

- java.lang.Object
- - io.vertx.core.AbstractVerticle
  - - io.vertx.ext.mail.MailServiceVerticle

- All Implemented Interfaces:
    Verticle

      public class MailServiceVerticle
      extends AbstractVerticle

  event bus verticle that supports sending mails via a MailService instance running on another machine via the event bus

  when the standard config can be used (send mails via localhost:25 without login) it is possible to deploy the verticle with the id

       vertx run client:io.vertx.mail-client

  and send mails from other machines via the event bus with the client address vertx.mail (on the other hand, if you can send mails via localhost:25, you do not really need the event bus)
  Author:
    Tim Fox

- - ### Field Summary

    - ### Fields inherited from class io.vertx.core.AbstractVerticle

      `context, vertx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MailServiceVerticle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start()` If your verticle does a simple, synchronous start-up then override this method and put your start-up code in there.
    `void` | `stop()` If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in there.

    - ### Methods inherited from class io.vertx.core.AbstractVerticle

      `config, deploymentID, getVertx, init, processArgs, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MailServiceVerticle

          public MailServiceVerticle()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from class: `AbstractVerticle`
      If your verticle does a simple, synchronous start-up then override this method and put your start-up code in there.
      Overrides:
        `start` in class `AbstractVerticle`

    - #### stop

          public void stop()

      Description copied from class: `AbstractVerticle`
      If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in there.
      Overrides:
        `stop` in class `AbstractVerticle`

Copyright © 2016. All rights reserved.